Public Class frmKundenUebersichtZOLLStatDetails
    Dim SQL As New SQL
    Public kdBez As String = ""
    Public kdNrTMP As Object
    Public kdNr As String = ""
    Public WHEREStatistik = ""

    Private Sub frmKundenUebersichtZOLLStatDetails_Load(sender As Object, e As EventArgs) Handles Me.Load
        With dgvStat
            Dim WHEREFirma = ""
             If kdNrTMP Is DBNull.Value Then
                WHEREFirma = kdBez & " IS NULL "
            Else
                WHEREFirma = kdBez & " = " & kdNrTMP
            End If

            .DataSource = SQL.loadDgvBySql("SELECT [FilialenNr],[AbfertigungsNr],[UnterNr],[Abfertigungsdatum],[Abfertigungsart], " &
               " isnull(cast([AbsenderKundenNr] as nvarchar(7)) + ' ','') + [Absender] as Absender,isnull(cast([EmpfängerKundenNr] as nvarchar(7)) + ' ','') + [Empfänger] as Empfänger,isnull(cast([VermittlerKundenNr] as nvarchar(7)) + ' ','') + [Vermittler] as Vermittler,isnull(cast([FrachtführerKundenNr] as nvarchar(7)) + ' ','') + [Frachtführer] as Frachtführer, " &
               " [LKW Kennzeichen],Sachbearbeiter FROM [Speditionsbuch]  WHERE " & WHEREStatistik & " " & WHEREFirma & " AND  " & kdNr & " IN([AbsenderKundenNr],[EmpfängerKundenNr],[FrachtführerKundenNr],[VermittlerKundenNr],[EndempfängerKundenNr])  ORDER BY [Abfertigungsdatum] DESC ", "FMZOLL")


            If .RowCount = 0 Then Exit Sub
            .RowHeadersVisible = False
            .ReadOnly = True
            .SelectionMode = DataGridViewSelectionMode.FullRowSelect
            .MultiSelect = False

            .Columns("FilialenNr").Width = 45
            .Columns("FilialenNr").HeaderText = "Filiale"
            .Columns("FilialenNr").DefaultCellStyle.Alignment = DataGridViewContentAlignment.TopCenter
            .Columns("AbfertigungsNr").Width = 70
            .Columns("AbfertigungsNr").HeaderText = "Abf-Nr"
            .Columns("AbfertigungsNr").DefaultCellStyle.Alignment = DataGridViewContentAlignment.TopCenter
            .Columns("UnterNr").Width = 45
            .Columns("UnterNr").DefaultCellStyle.Alignment = DataGridViewContentAlignment.TopCenter
            .Columns("Abfertigungsdatum").Width = 110
            .Columns("Abfertigungsdatum").HeaderText = "Abf-Dat."
            .Columns("Abfertigungsdatum").DefaultCellStyle.Alignment = DataGridViewContentAlignment.TopCenter

            .Columns("Absender").MinimumWidth = 150
            .Columns("Absender").HeaderText = "Absender"
            .Columns("Absender").AutoSizeMode = DataGridViewAutoSizeColumnMode.Fill

            .Columns("Vermittler").MinimumWidth = 150
            .Columns("Vermittler").HeaderText = "Auftraggeber"
            .Columns("Vermittler").AutoSizeMode = DataGridViewAutoSizeColumnMode.Fill

            .Columns("Empfänger").MinimumWidth = 150
            .Columns("Empfänger").HeaderText = "Empfänger"
            .Columns("Empfänger").AutoSizeMode = DataGridViewAutoSizeColumnMode.Fill

            .Columns("Frachtführer").MinimumWidth = 150
            .Columns("Frachtführer").HeaderText = "Frachtführer"
            .Columns("Frachtführer").AutoSizeMode = DataGridViewAutoSizeColumnMode.Fill

            .Columns("LKW Kennzeichen").Width = 120
            .Columns("LKW Kennzeichen").HeaderText = "LKW Kennzeichen"

        End With
    End Sub

    Private Sub DataGridView_CellContentClick(sender As Object, e As EventArgs) Handles dgvStat.DoubleClick
        If dgvStat.SelectedRows.Count = 0 Then Exit Sub

        Dim frmNacherfassung As New frmNacherfassungNEU
        frmNacherfassung.srchFiliale = dgvStat.SelectedRows(0).Cells("FilialenNr").Value
        frmNacherfassung.srchAbfertigungsnummer = dgvStat.SelectedRows(0).Cells("AbfertigungsNr").Value
        frmNacherfassung.srchUnterNr = dgvStat.SelectedRows(0).Cells("UnterNr").Value
        '   frmNacherfassung.FMZollPersID = VERAG_PROG_ALLGEMEIN.cglobal.AktiverMitarbeiter.mit_FMZollPersID
        '  frmNacherfassung.initDataBinding()
        frmNacherfassung.Show()
        '   frmNacherfassung.showAll()
    End Sub

End Class